Class Verify


  • public class Verify
    extends APIRequestHandler
    /api/elicit/verify : Verify an elicited transcript upload.

    Verifies the given transcript was successfull uploaded by a previous call to /api/elicit/upload

    Only the GET HTTP method is supported:

    GET
    • URL parameters :
      transcript_id
      The name of the uploaded transcript.
    • Response Body - the standard JSON envelope, with the model as an object the following attributes:
      transcript_id
      This given transcript ID.
      ag_id
      The database ID of the transcript.
      If the model is an empty object, the upload did not succeed.
    • Response Status
      • 200 : Success.
      • 400 : Transcript not specified.

    Author:
    Robert Fromont
    • Constructor Detail

      • Verify

        public Verify()
        Constructor
    • Method Detail

      • get

        public javax.json.JsonObject get​(RequestParameters requestParameters,
                                         Consumer<Integer> httpStatus)
        The GET method for the servlet.
        Parameters:
        requestParameters - Request parameter map.
        httpStatus - Receives the response status code, in case of error.
        Returns:
        JSON-encoded object representing the response